org.springframework.core

## Interface InfrastructureProxy

-     public interface InfrastructureProxy

  Interface to be implemented by transparent resource proxies that need to be considered as equal to the underlying resource, for example for consistent lookup key comparisons. Note that this interface does imply such special semantics and does not constitute a general-purpose mixin!

  Such wrappers will automatically be unwrapped for key comparisons in `TransactionSynchronizationManager`.

  Only fully transparent proxies, e.g. for redirection or service lookups, are supposed to implement this interface. Proxies that decorate the target object with new behavior, such as AOP proxies, do not qualify here!

  Since:
    2.5.4
  Author:
    Juergen Hoeller
  See Also:
    `TransactionSynchronizationManager`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getWrappedObject()` Return the underlying resource (never `null`).

- - ### Method Detail

    - #### getWrappedObject

          Object getWrappedObject()

      Return the underlying resource (never `null`).